Summary: A GNU arbitrary precision library.
Name: gmp
Version: 4.1.3
Release: 1tr
Source: ftp://ftp.gnu.org/gnu/gmp/gmp-%{version}.tar.bz2
License: GPL 
Group: Trustix Official
BuildRequires: texinfo
BuildRoot: /var/tmp/%{name}-root

%description
The gmp package contains GNU MP, a library for arbitrary precision
arithmetic, signed integers operations, rational numbers and
floating point numbers. GNU MP is designed for speed, for both
small and very large operands. GNU MP is fast for several reasons:
It uses fullwords as the basic arithmetic type, it uses fast
algorithms, it carefully optimizes assembly code for many CPUs'
most common inner loops and it generally emphasizes speed over
simplicity/elegance in its operations.

Install the gmp package if you need a fast arbitrary precision
library.

%package devel
Summary: Development tools for the GNU MP arbitrary precision library.
Group: Trustix Official
PreReq: htmlinfo
Requires: gmp = %{version}

%description devel
The static libraries, header files and documentation for using the GNU
MP arbitrary precision library in applications.  

If you want to develop applications which will use the GNU MP library,
you'll need to install the gmp-devel package.  You'll also need to
install the gmp package.

%prep
%setup -q

%build
./configure --build=i586-trustix-linux \
	--prefix=%{_prefix} \
	--mandir=%{_mandir}
make CFLAGS="${RPM_OPT_FLAGS}"
makeinfo --html --no-split gmp.texi

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/usr/{lib,include,share/html/gmp}

make CFLAGS="${RPM_OPT_FLAGS}" \
	prefix=${RPM_BUILD_ROOT}%{_prefix} install

install -m 644 gmp-mparam.h ${RPM_BUILD_ROOT}/usr/include/
install -m 644 gmp.html ${RPM_BUILD_ROOT}/usr/share/html/gmp/

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig

%post devel
/usr/sbin/htmlinfo_update.sh

%postun devel
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/libgmp.so.*

%files devel
%defattr(-,root,root)
%doc NEWS README
%dir /usr/share/html/gmp
/usr/share/html/gmp/gmp.html
/usr/lib/libgmp.a
/usr/lib/libgmp.la
/usr/lib/libgmp.so
/usr/include/gmp.h
/usr/include/gmp-mparam.h

%changelog
* Thu Sep 23 2004 Syed Shabir <syedshabir at comodo dot com> 4.1.3-1tr
- New upstream

* Sun Dec 14 2003 Erlend Midttun <erlendbm at trustix dot org> 4.1.2-1tr
- New upstream.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-7tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-6tr
- Big rebuild

* Wed May 14 2003 Tore Olsen <toreo at trustix dot com> 4.1-5to
- only devel package should prereq on htmlinfo.
- package now buildable as user.
- devel package requires gmp 4.1.

* Wed Apr  9 2003 Gerald Dachs <gda at trustix dot org> 4.1-4gd
- Added PreReq on htmlinfo

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 4.1-3em
- Rebuilt against glibc 2.3.2.

* Fri Oct 25 2002 Christian H. Toldnes <christht at trustix dot com> 4.1-2ct
- Reintroduced info documantation using htmlinfo

* Thu Aug 15 2002 Christian H. Toldnes <christht at trustix dot com> 4.1-1ct
- New upstream version: 4.1
- Removed info stuff.
- .spec cleanup

* Tue Mar 27 2001 Alexander Reelsen <ar at trustix dot com>
- Fixed a shared library/symlink problem

* Tue Mar 06 2001 Oystein Viggen <oysteivi at trustix dot com>
- Upgrade to v3.1.1

* Mon Jan 24 2000 Tore Olsen <toreo at trustix dot com>
- moved info directory to /usr/share for FHS compliance

* Mon Sep 06 1999 Jakub Jelinek <jj@ultra.linux.cz>
- merge in some debian gmp fixes
- Ulrich Drepper's __gmp_scale2 fix
- my mpf_set_q fix
- sparc64 fixes

* Wed Apr 28 1999 Cristian Gafton <gafton@redhat.com>
- add sparc patch for PIC handling

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- include the private header file gmp-mparam.h because several
  apps seem to assume that they are building against the gmp
  source tree and require it.  Sigh.

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize to work on arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- yet another touch of the spec file

* Wed Sep  2 1998 Michael Fulbright <msf@redhat.com>
- looked over before inclusion in RH 5.2

* Sat May 24 1998 Dick Porter <dick@cymru.net>
- Patch Makefile.in, not Makefile
- Don't specify i586, let configure decide the arch

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- started with package from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support

